Query Alert Definitions
Query collection of alert definitions matching the search criteria specified
Page number from which data needs to be displayed (0-based)
Expected number of entries per page
The alert definition query
"{\n \"ids\" : [ ],\n \"adapterKinds\" : [ \"adapterKind\" ],\n \"resourceKinds\" : [ \"resourceKind\" ]\n}"
List of adapter kind keys. Can only be used when adapterKind is empty
The identifier(s) of the Alert Definitions to search for.
Do not specify adapterKind or resourceKind if searching by ids
List of resource kind keys. Can only be used when resourceKind is empty
The collection of Alert Definitions
"{\n \"alertDefinitions\" : [ {\n \"id\" : \"f080147f-c60d-4f08-8801-b602e2931b6f\",\n \"name\" : \"High CPU/Memory Usage\",\n \"description\" : \"CPU or MEM usage too High\",\n \"adapterKindKey\" : \"VMWARE\",\n \"resourceKindKey\" : \"HostSystem\",\n \"waitCycles\" : 3,\n \"cancelCycles\" : 2,\n \"type\" : 0,\n \"subType\" : 0,\n \"states\" : [ {\n \"severity\" : \"WARNING\",\n \"base-symptom-set\" : {\n \"type\" : \"SYMPTOM_SET_COMPOSITE\",\n \"operator\" : \"AND\",\n \"symptom-sets\" : [ {\n \"type\" : \"SYMPTOM_SET\",\n \"adapterKindKey\" : \"VMWARE\",\n \"resourceKindKey\" : \"Datastore\",\n \"relation\" : \"DESCENDANT\",\n \"aggregation\" : \"ALL\",\n \"symptomSetOperator\" : \"AND\",\n \"symptomDefinitionIds\" : [ \"Symptom5\", \"!Symptom6\" ],\n \"alertConditions\" : [ {\n \"waitCycles\" : 5,\n \"cancelCycles\" : 5,\n \"severity\" : \"CRITICAL\",\n \"condition\" : {\n \"type\" : \"CONDITION_HT\",\n \"key\" : \"cpu|demandmhz\",\n \"operator\" : \"GT_EQ\",\n \"valueType\" : \"NUMERIC\",\n \"instanced\" : false,\n \"targetKey\" : \"cpu|availablemhz\",\n \"thresholdType\" : \"STATKEY\"\n }\n } ]\n }, {\n \"type\" : \"SYMPTOM_SET\",\n \"relation\" : \"SELF\",\n \"aggregation\" : \"ALL\",\n \"symptomSetOperator\" : \"OR\",\n \"symptomDefinitionIds\" : [ \"Symptom100\", \"Symptom101\" ]\n } ]\n },\n \"impact\" : {\n \"impactType\" : \"BADGE\",\n \"detail\" : \"health\"\n }\n } ],\n \"forVCDTenants\" : false\n }, {\n \"id\" : \"AlertDefinition-147ff080-8801-c60d-4f08-931b6fb602e2\",\n \"name\" : \"MyAlertDefinition\",\n \"description\" : \"An Alert Definition associated with ESX host\",\n \"adapterKindKey\" : \"VMWARE\",\n \"resourceKindKey\" : \"HostSystem\",\n \"waitCycles\" : 3,\n \"cancelCycles\" : 2,\n \"type\" : 0,\n \"subType\" : 0,\n \"states\" : [ {\n \"severity\" : \"CRITICAL\",\n \"base-symptom-set\" : {\n \"type\" : \"SYMPTOM_SET\",\n \"relation\" : \"SELF\",\n \"aggregation\" : \"ALL\",\n \"symptomDefinitionIds\" : [ \"SymptomDefinition-5\" ]\n },\n \"impact\" : {\n \"impactType\" : \"BADGE\",\n \"detail\" : \"Health\"\n }\n } ],\n \"forVCDTenants\" : false\n } ]\n}"
Collection of Problem Definitions
Collection of links
Represents page information for a paged result
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/suite-api/api/alertdefinitions/query